MKTIME(1)

NAME
mktime - create time information file

SYNOPSIS
mktime [ -o output_file_name ] [ filename ]

DESCRIPTION
mktime is used to create binary file, describing time information for setlocale(3) and localeinfo(3). filename is the name of input file. If none given, stdin used.

OPTIONS

-o output_file_name
    Write the output on output_file_name; otherwise, write the output on a file named LC_TIME.

INPUT FILE FORMAT
Empty lines and lines beginning with # are ignored. The backslash character, \, is used for continuation. No characters are permitted after it. The following statements are recognized:

codeset codename

    Codename is the name of codeset. This statement is required.

Rest of the lines taken as contents of structure time_info.

EXAMPLE
    codeset dummy
    Sun
    Mon
    Tue
    Wed
    Thu
    Fri
    Sat
    Sunday
    Monday
    Tuesday
    Wednesday
    Thursday
    Friday
    Saturday
    Jan
    Feb
    Mar
    Apr
    May
    Jun
    Jul
    Aug
    Sep
    Oct
    Nov
    Dec
    January
    February
    March
    April
    May
    June
    July
    August
    September
    October
    November
    December
    AM
    PM
    %a %b %d %H:%M:%S %Y
    %d/%m/%y
    %H:%M:%S
    GMT
    +0000

BUGS
None are know at the moment. If you find any, feel free to fix.

AUTHOR
Nickolay Saukh - <nms@ussr.EU.net>

FILES
/usr/lib/locale/locale/LC_TIME - LC_TIME database for
/usr/include/localeinfo.h locale

SEE ALSO
setlocale(3), localeconv(3), mkcollate(1), mkctype(1), mkmonetary(1), mknumeric(1), mkresponse(1)